#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00003020, "_module_flags");
  MakeDword(0x00003020);
  MakeName(0x00003024, "_module_name");
  MakeStr(0x00003024, BADADDR);
  MakeName(0x00003040, "_module_gp");
  MakeDword(0x00003040);
  MakeName(0x00003044, "_module_exports");
  MakeDword(0x00003044);
  OpOff(0x00003044, 0, 0);
  MakeName(0x00003048, "_module_exp_end");
  MakeDword(0x00003048);
  OpOff(0x00003048, 0, 0);
  MakeName(0x0000304C, "_module_imports");
  MakeDword(0x0000304C);
  OpOff(0x0000304C, 0, 0);
  MakeName(0x00003050, "_module_imp_end");
  MakeDword(0x00003050);
  OpOff(0x00003050, 0, 0);
}

static createImports() {
  MakeName(0x00002F3C, "import0");
  MakeDword(0x00002F3C);
  OpOff(0x00002F3C, 0, 0);
  MakeName(0x00003058, "import0_name");
  MakeStr(0x00003058, BADADDR);
  MakeName(0x00002F40, "import0_flags");
  MakeDword(0x00002F40);
  MakeName(0x00002F44, "import0_counts");
  MakeDword(0x00002F44);
  MakeName(0x00002F48, "import0_nids");
  MakeDword(0x00002F48);
  OpOff(0x00002F48, 0, 0);
  MakeName(0x00002F4C, "import0_funcs");
  MakeDword(0x00002F4C);
  OpOff(0x00002F4C, 0, 0);
  MakeName(0x00003360, "import0_sceKernelCreateEventFlag");
  MakeDword(0x00003360);
  MakeName(0x00002DE8, "sceKernelCreateEventFlag");
  MakeFunction(0x00002DE8, BADADDR);
  MakeName(0x00003364, "import0_sceKernelDeleteEventFlag");
  MakeDword(0x00003364);
  MakeName(0x00002DF0, "sceKernelDeleteEventFlag");
  MakeFunction(0x00002DF0, BADADDR);
  MakeName(0x00003368, "import0_sceKernelSetEventFlag");
  MakeDword(0x00003368);
  MakeName(0x00002DF8, "sceKernelSetEventFlag");
  MakeFunction(0x00002DF8, BADADDR);
  MakeName(0x0000336C, "import0_sceKernelClearEventFlag");
  MakeDword(0x0000336C);
  MakeName(0x00002E00, "sceKernelClearEventFlag");
  MakeFunction(0x00002E00, BADADDR);
  MakeName(0x00003370, "import0_sceKernelWaitEventFlag");
  MakeDword(0x00003370);
  MakeName(0x00002E08, "sceKernelWaitEventFlag");
  MakeFunction(0x00002E08, BADADDR);
  MakeName(0x00003374, "import0_sceKernelPollEventFlag");
  MakeDword(0x00003374);
  MakeName(0x00002E10, "sceKernelPollEventFlag");
  MakeFunction(0x00002E10, BADADDR);
  MakeName(0x00003378, "import0_sceKernelCreateThread");
  MakeDword(0x00003378);
  MakeName(0x00002E18, "sceKernelCreateThread");
  MakeFunction(0x00002E18, BADADDR);
  MakeName(0x0000337C, "import0_sceKernelStartThread");
  MakeDword(0x0000337C);
  MakeName(0x00002E20, "sceKernelStartThread");
  MakeFunction(0x00002E20, BADADDR);
  MakeName(0x00003380, "import0_sceKernelExitThread");
  MakeDword(0x00003380);
  MakeName(0x00002E28, "sceKernelExitThread");
  MakeFunction(0x00002E28, BADADDR);
  MakeName(0x00002F50, "import1");
  MakeDword(0x00002F50);
  OpOff(0x00002F50, 0, 0);
  MakeName(0x00003070, "import1_name");
  MakeStr(0x00003070, BADADDR);
  MakeName(0x00002F54, "import1_flags");
  MakeDword(0x00002F54);
  MakeName(0x00002F58, "import1_counts");
  MakeDword(0x00002F58);
  MakeName(0x00002F5C, "import1_nids");
  MakeDword(0x00002F5C);
  OpOff(0x00002F5C, 0, 0);
  MakeName(0x00002F60, "import1_funcs");
  MakeDword(0x00002F60);
  OpOff(0x00002F60, 0, 0);
  MakeName(0x0000331C, "import1_sceKernelDmaOpAlloc");
  MakeDword(0x0000331C);
  MakeName(0x00002D60, "sceKernelDmaOpAlloc");
  MakeFunction(0x00002D60, BADADDR);
  MakeName(0x00003320, "import1_sceKernelDmaOpFree");
  MakeDword(0x00003320);
  MakeName(0x00002D68, "sceKernelDmaOpFree");
  MakeFunction(0x00002D68, BADADDR);
  MakeName(0x00003324, "import1_sceKernelDmaOpAssign");
  MakeDword(0x00003324);
  MakeName(0x00002D70, "sceKernelDmaOpAssign");
  MakeFunction(0x00002D70, BADADDR);
  MakeName(0x00003328, "import1_sceKernelDmaOpEnQueue");
  MakeDword(0x00003328);
  MakeName(0x00002D78, "sceKernelDmaOpEnQueue");
  MakeFunction(0x00002D78, BADADDR);
  MakeName(0x0000332C, "import1_sceKernelDmaOpDeQueue");
  MakeDword(0x0000332C);
  MakeName(0x00002D80, "sceKernelDmaOpDeQueue");
  MakeFunction(0x00002D80, BADADDR);
  MakeName(0x00003330, "import1_sceKernelDmaOpSetCallback");
  MakeDword(0x00003330);
  MakeName(0x00002D88, "sceKernelDmaOpSetCallback");
  MakeFunction(0x00002D88, BADADDR);
  MakeName(0x00003334, "import1_sceKernelDmaOpSetupLink");
  MakeDword(0x00003334);
  MakeName(0x00002D90, "sceKernelDmaOpSetupLink");
  MakeFunction(0x00002D90, BADADDR);
  MakeName(0x00003338, "import1_sceKernelDmaOpQuit");
  MakeDword(0x00003338);
  MakeName(0x00002D98, "sceKernelDmaOpQuit");
  MakeFunction(0x00002D98, BADADDR);
  MakeName(0x0000333C, "import1_DmacManForKernel_E18A93A5");
  MakeDword(0x0000333C);
  MakeName(0x00002DA0, "DmacManForKernel_E18A93A5");
  MakeFunction(0x00002DA0, BADADDR);
  MakeName(0x00002F64, "import2");
  MakeDword(0x00002F64);
  OpOff(0x00002F64, 0, 0);
  MakeName(0x00003088, "import2_name");
  MakeStr(0x00003088, BADADDR);
  MakeName(0x00002F68, "import2_flags");
  MakeDword(0x00002F68);
  MakeName(0x00002F6C, "import2_counts");
  MakeDword(0x00002F6C);
  MakeName(0x00002F70, "import2_nids");
  MakeDword(0x00002F70);
  OpOff(0x00002F70, 0, 0);
  MakeName(0x00002F74, "import2_funcs");
  MakeDword(0x00002F74);
  OpOff(0x00002F74, 0, 0);
  MakeName(0x00003384, "import2_sceKernelDcacheWritebackRange");
  MakeDword(0x00003384);
  MakeName(0x00002E30, "sceKernelDcacheWritebackRange");
  MakeFunction(0x00002E30, BADADDR);
  MakeName(0x00003388, "import2_sceKernelDcacheWritebackInvalidateRange");
  MakeDword(0x00003388);
  MakeName(0x00002E38, "sceKernelDcacheWritebackInvalidateRange");
  MakeFunction(0x00002E38, BADADDR);
  MakeName(0x00002F78, "import3");
  MakeDword(0x00002F78);
  OpOff(0x00002F78, 0, 0);
  MakeName(0x0000309C, "import3_name");
  MakeStr(0x0000309C, BADADDR);
  MakeName(0x00002F7C, "import3_flags");
  MakeDword(0x00002F7C);
  MakeName(0x00002F80, "import3_counts");
  MakeDword(0x00002F80);
  MakeName(0x00002F84, "import3_nids");
  MakeDword(0x00002F84);
  OpOff(0x00002F84, 0, 0);
  MakeName(0x00002F88, "import3_funcs");
  MakeDword(0x00002F88);
  OpOff(0x00002F88, 0, 0);
  MakeName(0x0000335C, "import3_memset");
  MakeDword(0x0000335C);
  MakeName(0x00002DE0, "memset");
  MakeFunction(0x00002DE0, BADADDR);
  MakeName(0x00002F8C, "import4");
  MakeDword(0x00002F8C);
  OpOff(0x00002F8C, 0, 0);
  MakeName(0x000030B4, "import4_name");
  MakeStr(0x000030B4, BADADDR);
  MakeName(0x00002F90, "import4_flags");
  MakeDword(0x00002F90);
  MakeName(0x00002F94, "import4_counts");
  MakeDword(0x00002F94);
  MakeName(0x00002F98, "import4_nids");
  MakeDword(0x00002F98);
  OpOff(0x00002F98, 0, 0);
  MakeName(0x00002F9C, "import4_funcs");
  MakeDword(0x00002F9C);
  OpOff(0x00002F9C, 0, 0);
  MakeName(0x00003340, "import4_sceKernelCpuSuspendIntr");
  MakeDword(0x00003340);
  MakeName(0x00002DA8, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00002DA8, BADADDR);
  MakeName(0x00003344, "import4_sceKernelCpuResumeIntr");
  MakeDword(0x00003344);
  MakeName(0x00002DB0, "sceKernelCpuResumeIntr");
  MakeFunction(0x00002DB0, BADADDR);
  MakeName(0x00003348, "import4_sceKernelCpuResumeIntrWithSync");
  MakeDword(0x00003348);
  MakeName(0x00002DB8, "sceKernelCpuResumeIntrWithSync");
  MakeFunction(0x00002DB8, BADADDR);
  MakeName(0x0000334C, "import4_sceKernelRegisterIntrHandler");
  MakeDword(0x0000334C);
  MakeName(0x00002DC0, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00002DC0, BADADDR);
  MakeName(0x00003350, "import4_sceKernelEnableIntr");
  MakeDword(0x00003350);
  MakeName(0x00002DC8, "sceKernelEnableIntr");
  MakeFunction(0x00002DC8, BADADDR);
  MakeName(0x00003354, "import4_sceKernelDisableIntr");
  MakeDword(0x00003354);
  MakeName(0x00002DD0, "sceKernelDisableIntr");
  MakeFunction(0x00002DD0, BADADDR);
  MakeName(0x00002FA4, "import5");
  MakeDword(0x00002FA4);
  OpOff(0x00002FA4, 0, 0);
  MakeName(0x000030D4, "import5_name");
  MakeStr(0x000030D4, BADADDR);
  MakeName(0x00002FA8, "import5_flags");
  MakeDword(0x00002FA8);
  MakeName(0x00002FAC, "import5_counts");
  MakeDword(0x00002FAC);
  MakeName(0x00002FB0, "import5_nids");
  MakeDword(0x00002FB0);
  OpOff(0x00002FB0, 0, 0);
  MakeName(0x00002FB4, "import5_funcs");
  MakeDword(0x00002FB4);
  OpOff(0x00002FB4, 0, 0);
  MakeName(0x000033B4, "import5_sceKernelRegisterSysEventHandler");
  MakeDword(0x000033B4);
  MakeName(0x00002E90, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00002E90, BADADDR);
  MakeName(0x000033B8, "import5_sceKernelUnregisterSysEventHandler");
  MakeDword(0x000033B8);
  MakeName(0x00002E98, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00002E98, BADADDR);
  MakeName(0x00002FB8, "import6");
  MakeDword(0x00002FB8);
  OpOff(0x00002FB8, 0, 0);
  MakeName(0x000030F0, "import6_name");
  MakeStr(0x000030F0, BADADDR);
  MakeName(0x00002FBC, "import6_flags");
  MakeDword(0x00002FBC);
  MakeName(0x00002FC0, "import6_counts");
  MakeDword(0x00002FC0);
  MakeName(0x00002FC4, "import6_nids");
  MakeDword(0x00002FC4);
  OpOff(0x00002FC4, 0, 0);
  MakeName(0x00002FC8, "import6_funcs");
  MakeDword(0x00002FC8);
  OpOff(0x00002FC8, 0, 0);
  MakeName(0x00003358, "import6_sceKernelGetCompiledSdkVersion");
  MakeDword(0x00003358);
  MakeName(0x00002DD8, "sceKernelGetCompiledSdkVersion");
  MakeFunction(0x00002DD8, BADADDR);
  MakeName(0x00002FCC, "import7");
  MakeDword(0x00002FCC);
  OpOff(0x00002FCC, 0, 0);
  MakeName(0x00003104, "import7_name");
  MakeStr(0x00003104, BADADDR);
  MakeName(0x00002FD0, "import7_flags");
  MakeDword(0x00002FD0);
  MakeName(0x00002FD4, "import7_counts");
  MakeDword(0x00002FD4);
  MakeName(0x00002FD8, "import7_nids");
  MakeDword(0x00002FD8);
  OpOff(0x00002FD8, 0, 0);
  MakeName(0x00002FDC, "import7_funcs");
  MakeDword(0x00002FDC);
  OpOff(0x00002FDC, 0, 0);
  MakeName(0x0000338C, "import7_sceClockgenAudioClkSetFreq");
  MakeDword(0x0000338C);
  MakeName(0x00002E40, "sceClockgenAudioClkSetFreq");
  MakeFunction(0x00002E40, BADADDR);
  MakeName(0x00003390, "import7_sceClockgenAudioClkEnable");
  MakeDword(0x00003390);
  MakeName(0x00002E48, "sceClockgenAudioClkEnable");
  MakeFunction(0x00002E48, BADADDR);
  MakeName(0x00003394, "import7_sceClockgenAudioClkDisable");
  MakeDword(0x00003394);
  MakeName(0x00002E50, "sceClockgenAudioClkDisable");
  MakeFunction(0x00002E50, BADADDR);
  MakeName(0x00002FE0, "import8");
  MakeDword(0x00002FE0);
  OpOff(0x00002FE0, 0, 0);
  MakeName(0x0000311C, "import8_name");
  MakeStr(0x0000311C, BADADDR);
  MakeName(0x00002FE4, "import8_flags");
  MakeDword(0x00002FE4);
  MakeName(0x00002FE8, "import8_counts");
  MakeDword(0x00002FE8);
  MakeName(0x00002FEC, "import8_nids");
  MakeDword(0x00002FEC);
  OpOff(0x00002FEC, 0, 0);
  MakeName(0x00002FF0, "import8_funcs");
  MakeDword(0x00002FF0);
  OpOff(0x00002FF0, 0, 0);
  MakeName(0x00003398, "import8_sceCodecOutputEnable");
  MakeDword(0x00003398);
  MakeName(0x00002E58, "sceCodecOutputEnable");
  MakeFunction(0x00002E58, BADADDR);
  MakeName(0x0000339C, "import8_sceCodecInputEnable");
  MakeDword(0x0000339C);
  MakeName(0x00002E60, "sceCodecInputEnable");
  MakeFunction(0x00002E60, BADADDR);
  MakeName(0x000033A0, "import8_sceCodecInputDisable");
  MakeDword(0x000033A0);
  MakeName(0x00002E68, "sceCodecInputDisable");
  MakeFunction(0x00002E68, BADADDR);
  MakeName(0x000033A4, "import8_sceCodecSetFrequency");
  MakeDword(0x000033A4);
  MakeName(0x00002E70, "sceCodecSetFrequency");
  MakeFunction(0x00002E70, BADADDR);
  MakeName(0x000033A8, "import8_sceCodecSetVolumeOffset");
  MakeDword(0x000033A8);
  MakeName(0x00002E78, "sceCodecSetVolumeOffset");
  MakeFunction(0x00002E78, BADADDR);
  MakeName(0x000033AC, "import8_sceCodec_driver_3064C53D");
  MakeDword(0x000033AC);
  MakeName(0x00002E80, "sceCodec_driver_3064C53D");
  MakeFunction(0x00002E80, BADADDR);
  MakeName(0x00002FF4, "import9");
  MakeDword(0x00002FF4);
  OpOff(0x00002FF4, 0, 0);
  MakeName(0x00003130, "import9_name");
  MakeStr(0x00003130, BADADDR);
  MakeName(0x00002FF8, "import9_flags");
  MakeDword(0x00002FF8);
  MakeName(0x00002FFC, "import9_counts");
  MakeDword(0x00002FFC);
  MakeName(0x00003000, "import9_nids");
  MakeDword(0x00003000);
  OpOff(0x00003000, 0, 0);
  MakeName(0x00003004, "import9_funcs");
  MakeDword(0x00003004);
  OpOff(0x00003004, 0, 0);
  MakeName(0x000033B0, "import9_sceDdrFlush");
  MakeDword(0x000033B0);
  MakeName(0x00002E88, "sceDdrFlush");
  MakeFunction(0x00002E88, BADADDR);
  MakeName(0x00003008, "import10");
  MakeDword(0x00003008);
  OpOff(0x00003008, 0, 0);
  MakeName(0x00003144, "import10_name");
  MakeStr(0x00003144, BADADDR);
  MakeName(0x0000300C, "import10_flags");
  MakeDword(0x0000300C);
  MakeName(0x00003010, "import10_counts");
  MakeDword(0x00003010);
  MakeName(0x00003014, "import10_nids");
  MakeDword(0x00003014);
  OpOff(0x00003014, 0, 0);
  MakeName(0x00003018, "import10_funcs");
  MakeDword(0x00003018);
  OpOff(0x00003018, 0, 0);
  MakeName(0x000033BC, "import10_sceSysregAudioBusClockEnable");
  MakeDword(0x000033BC);
  MakeName(0x00002EA0, "sceSysregAudioBusClockEnable");
  MakeFunction(0x00002EA0, BADADDR);
  MakeName(0x000033C0, "import10_sceSysregAudioBusClockDisable");
  MakeDword(0x000033C0);
  MakeName(0x00002EA8, "sceSysregAudioBusClockDisable");
  MakeFunction(0x00002EA8, BADADDR);
  MakeName(0x000033C4, "import10_sceSysregAudioClkEnable");
  MakeDword(0x000033C4);
  MakeName(0x00002EB0, "sceSysregAudioClkEnable");
  MakeFunction(0x00002EB0, BADADDR);
  MakeName(0x000033C8, "import10_sceSysregAudioClkDisable");
  MakeDword(0x000033C8);
  MakeName(0x00002EB8, "sceSysregAudioClkDisable");
  MakeFunction(0x00002EB8, BADADDR);
  MakeName(0x000033CC, "import10_sceSysregAudioClkoutClkEnable");
  MakeDword(0x000033CC);
  MakeName(0x00002EC0, "sceSysregAudioClkoutClkEnable");
  MakeFunction(0x00002EC0, BADADDR);
  MakeName(0x000033D0, "import10_sceSysregAudioClkoutClkDisable");
  MakeDword(0x000033D0);
  MakeName(0x00002EC8, "sceSysregAudioClkoutClkDisable");
  MakeFunction(0x00002EC8, BADADDR);
  MakeName(0x000033D4, "import10_sceSysregAudioClkSelect");
  MakeDword(0x000033D4);
  MakeName(0x00002ED0, "sceSysregAudioClkSelect");
  MakeFunction(0x00002ED0, BADADDR);
  MakeName(0x000033D8, "import10_sceSysregAudioClkoutClkSelect");
  MakeDword(0x000033D8);
  MakeName(0x00002ED8, "sceSysregAudioClkoutClkSelect");
  MakeFunction(0x00002ED8, BADADDR);
  MakeName(0x000033DC, "import10_sceSysregAudioIoEnable");
  MakeDword(0x000033DC);
  MakeName(0x00002EE0, "sceSysregAudioIoEnable");
  MakeFunction(0x00002EE0, BADADDR);
  MakeName(0x000033E0, "import10_sceSysregAudioIoDisable");
  MakeDword(0x000033E0);
  MakeName(0x00002EE8, "sceSysregAudioIoDisable");
  MakeFunction(0x00002EE8, BADADDR);
  MakeName(0x000033E4, "import10_sceSysregAudioClkoutIoEnable");
  MakeDword(0x000033E4);
  MakeName(0x00002EF0, "sceSysregAudioClkoutIoEnable");
  MakeFunction(0x00002EF0, BADADDR);
  MakeName(0x000033E8, "import10_sceSysregAudioClkoutIoDisable");
  MakeDword(0x000033E8);
  MakeName(0x00002EF8, "sceSysregAudioClkoutIoDisable");
  MakeFunction(0x00002EF8, BADADDR);
}

static createExports() {
  MakeName(0x00002F04, "export_0");
  MakeDword(0x00002F04);
  MakeName(0x00002F08, "export_0_flags");
  MakeDword(0x00002F08);
  MakeName(0x00002F0C, "export_0_counts");
  MakeDword(0x00002F0C);
  MakeName(0x00002F10, "export_0_exports");
  MakeDword(0x00002F10);
  OpOff(0x00002F10, 0, 0);
  MakeName(0x00003158, "export_0_module_start");
  MakeDword(0x00003158);
  MakeName(0x00003168, "");
  MakeDword(0x00003168);
  OpOff(0x00003168, 0, 0);
  MakeName(0x000013CC, "module_start");
  MakeFunction(0x000013CC, BADADDR);
  MakeName(0x0000315C, "export_0_module_stop");
  MakeDword(0x0000315C);
  MakeName(0x0000316C, "");
  MakeDword(0x0000316C);
  OpOff(0x0000316C, 0, 0);
  MakeName(0x00001724, "module_stop");
  MakeFunction(0x00001724, BADADDR);
  MakeName(0x00003160, "export_0_module_reboot_before");
  MakeDword(0x00003160);
  MakeName(0x00003170, "");
  MakeDword(0x00003170);
  OpOff(0x00003170, 0, 0);
  MakeName(0x00001724, "module_reboot_before");
  MakeFunction(0x00001724, BADADDR);
  MakeName(0x00003164, "export_0_module_info");
  MakeDword(0x00003164);
  MakeName(0x00003174, "");
  MakeDword(0x00003174);
  OpOff(0x00003174, 0, 0);
  MakeName(0x00002F14, "export_1");
  MakeDword(0x00002F14);
  OpOff(0x00002F14, 0, 0);
  MakeName(0x00003178, "export_1_name");
  MakeStr(0x00003178, BADADDR);
  MakeName(0x00002F18, "export_1_flags");
  MakeDword(0x00002F18);
  MakeName(0x00002F1C, "export_1_counts");
  MakeDword(0x00002F1C);
  MakeName(0x00002F20, "export_1_exports");
  MakeDword(0x00002F20);
  OpOff(0x00002F20, 0, 0);
  MakeName(0x00003188, "export_1_sceAudioInit");
  MakeDword(0x00003188);
  MakeName(0x000031F4, "");
  MakeDword(0x000031F4);
  OpOff(0x000031F4, 0, 0);
  MakeName(0x000013CC, "sceAudioInit");
  MakeFunction(0x000013CC, BADADDR);
  MakeName(0x0000318C, "export_1_sceAudioEnd");
  MakeDword(0x0000318C);
  MakeName(0x000031F8, "");
  MakeDword(0x000031F8);
  OpOff(0x000031F8, 0, 0);
  MakeName(0x00001724, "sceAudioEnd");
  MakeFunction(0x00001724, BADADDR);
  MakeName(0x00003190, "export_1_sceAudioSetFrequency");
  MakeDword(0x00003190);
  MakeName(0x000031FC, "");
  MakeDword(0x000031FC);
  OpOff(0x000031FC, 0, 0);
  MakeName(0x000012D8, "sceAudioSetFrequency");
  MakeFunction(0x000012D8, BADADDR);
  MakeName(0x00003194, "export_1_sceAudioLoopbackTest");
  MakeDword(0x00003194);
  MakeName(0x00003200, "");
  MakeDword(0x00003200);
  OpOff(0x00003200, 0, 0);
  MakeName(0x0000167C, "sceAudioLoopbackTest");
  MakeFunction(0x0000167C, BADADDR);
  MakeName(0x00003198, "export_1_sceAudioSetVolumeOffset");
  MakeDword(0x00003198);
  MakeName(0x00003204, "");
  MakeDword(0x00003204);
  OpOff(0x00003204, 0, 0);
  MakeName(0x000017E8, "sceAudioSetVolumeOffset");
  MakeFunction(0x000017E8, BADADDR);
  MakeName(0x0000319C, "export_1_sceAudioOutput");
  MakeDword(0x0000319C);
  MakeName(0x00003208, "");
  MakeDword(0x00003208);
  OpOff(0x00003208, 0, 0);
  MakeName(0x00000564, "sceAudioOutput");
  MakeFunction(0x00000564, BADADDR);
  MakeName(0x000031A0, "export_1_sceAudioOutputBlocking");
  MakeDword(0x000031A0);
  MakeName(0x0000320C, "");
  MakeDword(0x0000320C);
  OpOff(0x0000320C, 0, 0);
  MakeName(0x00000648, "sceAudioOutputBlocking");
  MakeFunction(0x00000648, BADADDR);
  MakeName(0x000031A4, "export_1_sceAudioOutputPanned");
  MakeDword(0x000031A4);
  MakeName(0x00003210, "");
  MakeDword(0x00003210);
  OpOff(0x00003210, 0, 0);
  MakeName(0x000007E4, "sceAudioOutputPanned");
  MakeFunction(0x000007E4, BADADDR);
  MakeName(0x000031A8, "export_1_sceAudioOutputPannedBlocking");
  MakeDword(0x000031A8);
  MakeName(0x00003214, "");
  MakeDword(0x00003214);
  OpOff(0x00003214, 0, 0);
  MakeName(0x000008DC, "sceAudioOutputPannedBlocking");
  MakeFunction(0x000008DC, BADADDR);
  MakeName(0x000031AC, "export_1_sceAudioChReserve");
  MakeDword(0x000031AC);
  MakeName(0x00003218, "");
  MakeDword(0x00003218);
  OpOff(0x00003218, 0, 0);
  MakeName(0x00000A80, "sceAudioChReserve");
  MakeFunction(0x00000A80, BADADDR);
  MakeName(0x000031B0, "export_1_sceAudioChRelease");
  MakeDword(0x000031B0);
  MakeName(0x0000321C, "");
  MakeDword(0x0000321C);
  OpOff(0x0000321C, 0, 0);
  MakeName(0x00000E08, "sceAudioChRelease");
  MakeFunction(0x00000E08, BADADDR);
  MakeName(0x000031B4, "export_1_sceAudioGetChannelRestLength");
  MakeDword(0x000031B4);
  MakeName(0x00003220, "");
  MakeDword(0x00003220);
  OpOff(0x00003220, 0, 0);
  MakeName(0x00000EC4, "sceAudioGetChannelRestLength");
  MakeFunction(0x00000EC4, BADADDR);
  MakeName(0x000031B8, "export_1_sceAudioSetChannelDataLen");
  MakeDword(0x000031B8);
  MakeName(0x00003224, "");
  MakeDword(0x00003224);
  OpOff(0x00003224, 0, 0);
  MakeName(0x00000F18, "sceAudioSetChannelDataLen");
  MakeFunction(0x00000F18, BADADDR);
  MakeName(0x000031BC, "export_1_sceAudioChangeChannelConfig");
  MakeDword(0x000031BC);
  MakeName(0x00003228, "");
  MakeDword(0x00003228);
  OpOff(0x00003228, 0, 0);
  MakeName(0x000010C4, "sceAudioChangeChannelConfig");
  MakeFunction(0x000010C4, BADADDR);
  MakeName(0x000031C0, "export_1_sceAudioChangeChannelVolume");
  MakeDword(0x000031C0);
  MakeName(0x0000322C, "");
  MakeDword(0x0000322C);
  OpOff(0x0000322C, 0, 0);
  MakeName(0x0000100C, "sceAudioChangeChannelVolume");
  MakeFunction(0x0000100C, BADADDR);
  MakeName(0x000031C4, "export_1_sceAudioSRCChReserve");
  MakeDword(0x000031C4);
  MakeName(0x00003230, "");
  MakeDword(0x00003230);
  OpOff(0x00003230, 0, 0);
  MakeName(0x00001CC8, "sceAudioSRCChReserve");
  MakeFunction(0x00001CC8, BADADDR);
  MakeName(0x000031C8, "export_1_sceAudioSRCChRelease");
  MakeDword(0x000031C8);
  MakeName(0x00003234, "");
  MakeDword(0x00003234);
  OpOff(0x00003234, 0, 0);
  MakeName(0x00001F44, "sceAudioSRCChRelease");
  MakeFunction(0x00001F44, BADADDR);
  MakeName(0x000031CC, "export_1_sceAudioSRCOutputBlocking");
  MakeDword(0x000031CC);
  MakeName(0x00003238, "");
  MakeDword(0x00003238);
  OpOff(0x00003238, 0, 0);
  MakeName(0x00001FDC, "sceAudioSRCOutputBlocking");
  MakeFunction(0x00001FDC, BADADDR);
  MakeName(0x000031D0, "export_1_sceAudioInputBlocking");
  MakeDword(0x000031D0);
  MakeName(0x0000323C, "");
  MakeDword(0x0000323C);
  OpOff(0x0000323C, 0, 0);
  MakeName(0x00002564, "sceAudioInputBlocking");
  MakeFunction(0x00002564, BADADDR);
  MakeName(0x000031D4, "export_1_sceAudioInput");
  MakeDword(0x000031D4);
  MakeName(0x00003240, "");
  MakeDword(0x00003240);
  OpOff(0x00003240, 0, 0);
  MakeName(0x00002684, "sceAudioInput");
  MakeFunction(0x00002684, BADADDR);
  MakeName(0x000031D8, "export_1_sceAudioGetInputLength");
  MakeDword(0x000031D8);
  MakeName(0x00003244, "");
  MakeDword(0x00003244);
  OpOff(0x00003244, 0, 0);
  MakeName(0x000028E4, "sceAudioGetInputLength");
  MakeFunction(0x000028E4, BADADDR);
  MakeName(0x000031DC, "export_1_sceAudioWaitInputEnd");
  MakeDword(0x000031DC);
  MakeName(0x00003248, "");
  MakeDword(0x00003248);
  OpOff(0x00003248, 0, 0);
  MakeName(0x0000294C, "sceAudioWaitInputEnd");
  MakeFunction(0x0000294C, BADADDR);
  MakeName(0x000031E0, "export_1_sceAudioInputInit");
  MakeDword(0x000031E0);
  MakeName(0x0000324C, "");
  MakeDword(0x0000324C);
  OpOff(0x0000324C, 0, 0);
  MakeName(0x00002794, "sceAudioInputInit");
  MakeFunction(0x00002794, BADADDR);
  MakeName(0x000031E4, "export_1_sceAudioInputInitEx");
  MakeDword(0x000031E4);
  MakeName(0x00003250, "");
  MakeDword(0x00003250);
  OpOff(0x00003250, 0, 0);
  MakeName(0x00002840, "sceAudioInputInitEx");
  MakeFunction(0x00002840, BADADDR);
  MakeName(0x000031E8, "export_1_sceAudioPollInputEnd");
  MakeDword(0x000031E8);
  MakeName(0x00003254, "");
  MakeDword(0x00003254);
  OpOff(0x00003254, 0, 0);
  MakeName(0x00002718, "sceAudioPollInputEnd");
  MakeFunction(0x00002718, BADADDR);
  MakeName(0x000031EC, "export_1_sceAudioGetChannelRestLen");
  MakeDword(0x000031EC);
  MakeName(0x00003258, "");
  MakeDword(0x00003258);
  OpOff(0x00003258, 0, 0);
  MakeName(0x00001208, "sceAudioGetChannelRestLen");
  MakeFunction(0x00001208, BADADDR);
  MakeName(0x000031F0, "export_1_sceAudioOneshotOutput");
  MakeDword(0x000031F0);
  MakeName(0x0000325C, "");
  MakeDword(0x0000325C);
  OpOff(0x0000325C, 0, 0);
  MakeName(0x00000BF8, "sceAudioOneshotOutput");
  MakeFunction(0x00000BF8, BADADDR);
  MakeName(0x00002F24, "export_2");
  MakeDword(0x00002F24);
  OpOff(0x00002F24, 0, 0);
  MakeName(0x00003260, "export_2_name");
  MakeStr(0x00003260, BADADDR);
  MakeName(0x00002F28, "export_2_flags");
  MakeDword(0x00002F28);
  MakeName(0x00002F2C, "export_2_counts");
  MakeDword(0x00002F2C);
  MakeName(0x00002F30, "export_2_exports");
  MakeDword(0x00002F30);
  OpOff(0x00002F30, 0, 0);
  MakeName(0x0000326C, "export_2_sceAudioOutput");
  MakeDword(0x0000326C);
  MakeName(0x000032C4, "");
  MakeDword(0x000032C4);
  OpOff(0x000032C4, 0, 0);
  MakeName(0x00000564, "sceAudioOutput");
  MakeFunction(0x00000564, BADADDR);
  MakeName(0x00003270, "export_2_sceAudioOutputBlocking");
  MakeDword(0x00003270);
  MakeName(0x000032C8, "");
  MakeDword(0x000032C8);
  OpOff(0x000032C8, 0, 0);
  MakeName(0x00000648, "sceAudioOutputBlocking");
  MakeFunction(0x00000648, BADADDR);
  MakeName(0x00003274, "export_2_sceAudioOutputPanned");
  MakeDword(0x00003274);
  MakeName(0x000032CC, "");
  MakeDword(0x000032CC);
  OpOff(0x000032CC, 0, 0);
  MakeName(0x000007E4, "sceAudioOutputPanned");
  MakeFunction(0x000007E4, BADADDR);
  MakeName(0x00003278, "export_2_sceAudioOutputPannedBlocking");
  MakeDword(0x00003278);
  MakeName(0x000032D0, "");
  MakeDword(0x000032D0);
  OpOff(0x000032D0, 0, 0);
  MakeName(0x000008DC, "sceAudioOutputPannedBlocking");
  MakeFunction(0x000008DC, BADADDR);
  MakeName(0x0000327C, "export_2_sceAudioChReserve");
  MakeDword(0x0000327C);
  MakeName(0x000032D4, "");
  MakeDword(0x000032D4);
  OpOff(0x000032D4, 0, 0);
  MakeName(0x00000A80, "sceAudioChReserve");
  MakeFunction(0x00000A80, BADADDR);
  MakeName(0x00003280, "export_2_sceAudioChRelease");
  MakeDword(0x00003280);
  MakeName(0x000032D8, "");
  MakeDword(0x000032D8);
  OpOff(0x000032D8, 0, 0);
  MakeName(0x00000E08, "sceAudioChRelease");
  MakeFunction(0x00000E08, BADADDR);
  MakeName(0x00003284, "export_2_sceAudioGetChannelRestLength");
  MakeDword(0x00003284);
  MakeName(0x000032DC, "");
  MakeDword(0x000032DC);
  OpOff(0x000032DC, 0, 0);
  MakeName(0x00000EC4, "sceAudioGetChannelRestLength");
  MakeFunction(0x00000EC4, BADADDR);
  MakeName(0x00003288, "export_2_sceAudioSetChannelDataLen");
  MakeDword(0x00003288);
  MakeName(0x000032E0, "");
  MakeDword(0x000032E0);
  OpOff(0x000032E0, 0, 0);
  MakeName(0x00000F18, "sceAudioSetChannelDataLen");
  MakeFunction(0x00000F18, BADADDR);
  MakeName(0x0000328C, "export_2_sceAudioChangeChannelConfig");
  MakeDword(0x0000328C);
  MakeName(0x000032E4, "");
  MakeDword(0x000032E4);
  OpOff(0x000032E4, 0, 0);
  MakeName(0x000010C4, "sceAudioChangeChannelConfig");
  MakeFunction(0x000010C4, BADADDR);
  MakeName(0x00003290, "export_2_sceAudioChangeChannelVolume");
  MakeDword(0x00003290);
  MakeName(0x000032E8, "");
  MakeDword(0x000032E8);
  OpOff(0x000032E8, 0, 0);
  MakeName(0x0000100C, "sceAudioChangeChannelVolume");
  MakeFunction(0x0000100C, BADADDR);
  MakeName(0x00003294, "export_2_sceAudioSRCChReserve");
  MakeDword(0x00003294);
  MakeName(0x000032EC, "");
  MakeDword(0x000032EC);
  OpOff(0x000032EC, 0, 0);
  MakeName(0x00001CC8, "sceAudioSRCChReserve");
  MakeFunction(0x00001CC8, BADADDR);
  MakeName(0x00003298, "export_2_sceAudioSRCChRelease");
  MakeDword(0x00003298);
  MakeName(0x000032F0, "");
  MakeDword(0x000032F0);
  OpOff(0x000032F0, 0, 0);
  MakeName(0x00001F44, "sceAudioSRCChRelease");
  MakeFunction(0x00001F44, BADADDR);
  MakeName(0x0000329C, "export_2_sceAudioSRCOutputBlocking");
  MakeDword(0x0000329C);
  MakeName(0x000032F4, "");
  MakeDword(0x000032F4);
  OpOff(0x000032F4, 0, 0);
  MakeName(0x00001FDC, "sceAudioSRCOutputBlocking");
  MakeFunction(0x00001FDC, BADADDR);
  MakeName(0x000032A0, "export_2_sceAudioInputBlocking");
  MakeDword(0x000032A0);
  MakeName(0x000032F8, "");
  MakeDword(0x000032F8);
  OpOff(0x000032F8, 0, 0);
  MakeName(0x00002564, "sceAudioInputBlocking");
  MakeFunction(0x00002564, BADADDR);
  MakeName(0x000032A4, "export_2_sceAudioInput");
  MakeDword(0x000032A4);
  MakeName(0x000032FC, "");
  MakeDword(0x000032FC);
  OpOff(0x000032FC, 0, 0);
  MakeName(0x00002684, "sceAudioInput");
  MakeFunction(0x00002684, BADADDR);
  MakeName(0x000032A8, "export_2_sceAudioGetInputLength");
  MakeDword(0x000032A8);
  MakeName(0x00003300, "");
  MakeDword(0x00003300);
  OpOff(0x00003300, 0, 0);
  MakeName(0x000028E4, "sceAudioGetInputLength");
  MakeFunction(0x000028E4, BADADDR);
  MakeName(0x000032AC, "export_2_sceAudioWaitInputEnd");
  MakeDword(0x000032AC);
  MakeName(0x00003304, "");
  MakeDword(0x00003304);
  OpOff(0x00003304, 0, 0);
  MakeName(0x0000294C, "sceAudioWaitInputEnd");
  MakeFunction(0x0000294C, BADADDR);
  MakeName(0x000032B0, "export_2_sceAudioInputInit");
  MakeDword(0x000032B0);
  MakeName(0x00003308, "");
  MakeDword(0x00003308);
  OpOff(0x00003308, 0, 0);
  MakeName(0x00002794, "sceAudioInputInit");
  MakeFunction(0x00002794, BADADDR);
  MakeName(0x000032B4, "export_2_sceAudioInputInitEx");
  MakeDword(0x000032B4);
  MakeName(0x0000330C, "");
  MakeDword(0x0000330C);
  OpOff(0x0000330C, 0, 0);
  MakeName(0x00002840, "sceAudioInputInitEx");
  MakeFunction(0x00002840, BADADDR);
  MakeName(0x000032B8, "export_2_sceAudioPollInputEnd");
  MakeDword(0x000032B8);
  MakeName(0x00003310, "");
  MakeDword(0x00003310);
  OpOff(0x00003310, 0, 0);
  MakeName(0x00002718, "sceAudioPollInputEnd");
  MakeFunction(0x00002718, BADADDR);
  MakeName(0x000032BC, "export_2_sceAudioGetChannelRestLen");
  MakeDword(0x000032BC);
  MakeName(0x00003314, "");
  MakeDword(0x00003314);
  OpOff(0x00003314, 0, 0);
  MakeName(0x00001208, "sceAudioGetChannelRestLen");
  MakeFunction(0x00001208, BADADDR);
  MakeName(0x000032C0, "export_2_sceAudioOneshotOutput");
  MakeDword(0x000032C0);
  MakeName(0x00003318, "");
  MakeDword(0x00003318);
  OpOff(0x00003318, 0, 0);
  MakeName(0x00000BF8, "sceAudioOneshotOutput");
  MakeFunction(0x00000BF8, BADADDR);
}

static createRelocs() {
}

