#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000015F8, "_module_flags");
  MakeDword(0x000015F8);
  MakeName(0x000015FC, "_module_name");
  MakeStr(0x000015FC, BADADDR);
  MakeName(0x00001618, "_module_gp");
  MakeDword(0x00001618);
  MakeName(0x0000161C, "_module_exports");
  MakeDword(0x0000161C);
  OpOff(0x0000161C, 0, 0);
  MakeName(0x00001620, "_module_exp_end");
  MakeDword(0x00001620);
  OpOff(0x00001620, 0, 0);
  MakeName(0x00001624, "_module_imports");
  MakeDword(0x00001624);
  OpOff(0x00001624, 0, 0);
  MakeName(0x00001628, "_module_imp_end");
  MakeDword(0x00001628);
  OpOff(0x00001628, 0, 0);
}

static createImports() {
  MakeName(0x000015CC, "import0");
  MakeDword(0x000015CC);
  OpOff(0x000015CC, 0, 0);
  MakeName(0x00001630, "import0_name");
  MakeStr(0x00001630, BADADDR);
  MakeName(0x000015D0, "import0_flags");
  MakeDword(0x000015D0);
  MakeName(0x000015D4, "import0_counts");
  MakeDword(0x000015D4);
  MakeName(0x000015D8, "import0_nids");
  MakeDword(0x000015D8);
  OpOff(0x000015D8, 0, 0);
  MakeName(0x000015DC, "import0_funcs");
  MakeDword(0x000015DC);
  OpOff(0x000015DC, 0, 0);
  MakeName(0x000016EC, "import0_sceKernelCreateSema");
  MakeDword(0x000016EC);
  MakeName(0x00001568, "sceKernelCreateSema");
  MakeFunction(0x00001568, BADADDR);
  MakeName(0x000016F0, "import0_sceKernelDeleteSema");
  MakeDword(0x000016F0);
  MakeName(0x00001570, "sceKernelDeleteSema");
  MakeFunction(0x00001570, BADADDR);
  MakeName(0x000016F4, "import0_sceKernelSignalSema");
  MakeDword(0x000016F4);
  MakeName(0x00001578, "sceKernelSignalSema");
  MakeFunction(0x00001578, BADADDR);
  MakeName(0x000016F8, "import0_sceKernelWaitSema");
  MakeDword(0x000016F8);
  MakeName(0x00001580, "sceKernelWaitSema");
  MakeFunction(0x00001580, BADADDR);
  MakeName(0x000015E0, "import1");
  MakeDword(0x000015E0);
  OpOff(0x000015E0, 0, 0);
  MakeName(0x00001648, "import1_name");
  MakeStr(0x00001648, BADADDR);
  MakeName(0x000015E4, "import1_flags");
  MakeDword(0x000015E4);
  MakeName(0x000015E8, "import1_counts");
  MakeDword(0x000015E8);
  MakeName(0x000015EC, "import1_nids");
  MakeDword(0x000015EC);
  OpOff(0x000015EC, 0, 0);
  MakeName(0x000015F0, "import1_funcs");
  MakeDword(0x000015F0);
  OpOff(0x000015F0, 0, 0);
  MakeName(0x000016FC, "import1_sceUtilsBufferCopyWithRange");
  MakeDword(0x000016FC);
  MakeName(0x00001588, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00001588, BADADDR);
}

static createExports() {
  MakeName(0x00001594, "export_0");
  MakeDword(0x00001594);
  MakeName(0x00001598, "export_0_flags");
  MakeDword(0x00001598);
  MakeName(0x0000159C, "export_0_counts");
  MakeDword(0x0000159C);
  MakeName(0x000015A0, "export_0_exports");
  MakeDword(0x000015A0);
  OpOff(0x000015A0, 0, 0);
  MakeName(0x00001654, "export_0_module_start");
  MakeDword(0x00001654);
  MakeName(0x00001660, "");
  MakeDword(0x00001660);
  OpOff(0x00001660, 0, 0);
  MakeName(0x0000030C, "module_start");
  MakeFunction(0x0000030C, BADADDR);
  MakeName(0x00001658, "export_0_module_stop");
  MakeDword(0x00001658);
  MakeName(0x00001664, "");
  MakeDword(0x00001664);
  OpOff(0x00001664, 0, 0);
  MakeName(0x00000398, "module_stop");
  MakeFunction(0x00000398, BADADDR);
  MakeName(0x0000165C, "export_0_module_info");
  MakeDword(0x0000165C);
  MakeName(0x00001668, "");
  MakeDword(0x00001668);
  OpOff(0x00001668, 0, 0);
  MakeName(0x000015A4, "export_1");
  MakeDword(0x000015A4);
  OpOff(0x000015A4, 0, 0);
  MakeName(0x0000166C, "export_1_name");
  MakeStr(0x0000166C, BADADDR);
  MakeName(0x000015A8, "export_1_flags");
  MakeDword(0x000015A8);
  MakeName(0x000015AC, "export_1_counts");
  MakeDword(0x000015AC);
  MakeName(0x000015B0, "export_1_exports");
  MakeDword(0x000015B0);
  OpOff(0x000015B0, 0, 0);
  MakeName(0x00001678, "export_1_sceSdSetIndex");
  MakeDword(0x00001678);
  MakeName(0x00001690, "");
  MakeDword(0x00001690);
  OpOff(0x00001690, 0, 0);
  MakeName(0x0000041C, "sceSdSetIndex");
  MakeFunction(0x0000041C, BADADDR);
  MakeName(0x0000167C, "export_1_sceSdRemoveValue");
  MakeDword(0x0000167C);
  MakeName(0x00001694, "");
  MakeDword(0x00001694);
  OpOff(0x00001694, 0, 0);
  MakeName(0x0000048C, "sceSdRemoveValue");
  MakeFunction(0x0000048C, BADADDR);
  MakeName(0x00001680, "export_1_sceSdGetLastIndex");
  MakeDword(0x00001680);
  MakeName(0x00001698, "");
  MakeDword(0x00001698);
  OpOff(0x00001698, 0, 0);
  MakeName(0x00000724, "sceSdGetLastIndex");
  MakeFunction(0x00000724, BADADDR);
  MakeName(0x00001684, "export_1_sceSdCreateList");
  MakeDword(0x00001684);
  MakeName(0x0000169C, "");
  MakeDword(0x0000169C);
  OpOff(0x0000169C, 0, 0);
  MakeName(0x00000BF0, "sceSdCreateList");
  MakeFunction(0x00000BF0, BADADDR);
  MakeName(0x00001688, "export_1_sceSdSetMember");
  MakeDword(0x00001688);
  MakeName(0x000016A0, "");
  MakeDword(0x000016A0);
  OpOff(0x000016A0, 0, 0);
  MakeName(0x00000F74, "sceSdSetMember");
  MakeFunction(0x00000F74, BADADDR);
  MakeName(0x0000168C, "export_1_sceChnnlsv_21BE78B4");
  MakeDword(0x0000168C);
  MakeName(0x000016A4, "");
  MakeDword(0x000016A4);
  OpOff(0x000016A4, 0, 0);
  MakeName(0x00001100, "sceChnnlsv_21BE78B4");
  MakeFunction(0x00001100, BADADDR);
  MakeName(0x000015B4, "export_2");
  MakeDword(0x000015B4);
  OpOff(0x000015B4, 0, 0);
  MakeName(0x000016A8, "export_2_name");
  MakeStr(0x000016A8, BADADDR);
  MakeName(0x000015B8, "export_2_flags");
  MakeDword(0x000015B8);
  MakeName(0x000015BC, "export_2_counts");
  MakeDword(0x000015BC);
  MakeName(0x000015C0, "export_2_exports");
  MakeDword(0x000015C0);
  OpOff(0x000015C0, 0, 0);
  MakeName(0x000016BC, "export_2_sceSdSetIndex");
  MakeDword(0x000016BC);
  MakeName(0x000016D4, "");
  MakeDword(0x000016D4);
  OpOff(0x000016D4, 0, 0);
  MakeName(0x0000041C, "sceSdSetIndex");
  MakeFunction(0x0000041C, BADADDR);
  MakeName(0x000016C0, "export_2_sceSdRemoveValue");
  MakeDword(0x000016C0);
  MakeName(0x000016D8, "");
  MakeDword(0x000016D8);
  OpOff(0x000016D8, 0, 0);
  MakeName(0x0000048C, "sceSdRemoveValue");
  MakeFunction(0x0000048C, BADADDR);
  MakeName(0x000016C4, "export_2_sceSdGetLastIndex");
  MakeDword(0x000016C4);
  MakeName(0x000016DC, "");
  MakeDword(0x000016DC);
  OpOff(0x000016DC, 0, 0);
  MakeName(0x00000724, "sceSdGetLastIndex");
  MakeFunction(0x00000724, BADADDR);
  MakeName(0x000016C8, "export_2_sceSdCreateList");
  MakeDword(0x000016C8);
  MakeName(0x000016E0, "");
  MakeDword(0x000016E0);
  OpOff(0x000016E0, 0, 0);
  MakeName(0x00000BF0, "sceSdCreateList");
  MakeFunction(0x00000BF0, BADADDR);
  MakeName(0x000016CC, "export_2_sceSdSetMember");
  MakeDword(0x000016CC);
  MakeName(0x000016E4, "");
  MakeDword(0x000016E4);
  OpOff(0x000016E4, 0, 0);
  MakeName(0x00000F74, "sceSdSetMember");
  MakeFunction(0x00000F74, BADADDR);
  MakeName(0x000016D0, "export_2_sceChnnlsv_driver_21BE78B4");
  MakeDword(0x000016D0);
  MakeName(0x000016E8, "");
  MakeDword(0x000016E8);
  OpOff(0x000016E8, 0, 0);
  MakeName(0x00001100, "sceChnnlsv_driver_21BE78B4");
  MakeFunction(0x00001100, BADADDR);
}

static createRelocs() {
}

