#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000007CC, "_module_flags");
  MakeDword(0x000007CC);
  MakeName(0x000007D0, "_module_name");
  MakeStr(0x000007D0, BADADDR);
  MakeName(0x000007EC, "_module_gp");
  MakeDword(0x000007EC);
  MakeName(0x000007F0, "_module_exports");
  MakeDword(0x000007F0);
  OpOff(0x000007F0, 0, 0);
  MakeName(0x000007F4, "_module_exp_end");
  MakeDword(0x000007F4);
  OpOff(0x000007F4, 0, 0);
  MakeName(0x000007F8, "_module_imports");
  MakeDword(0x000007F8);
  OpOff(0x000007F8, 0, 0);
  MakeName(0x000007FC, "_module_imp_end");
  MakeDword(0x000007FC);
  OpOff(0x000007FC, 0, 0);
}

static createImports() {
  MakeName(0x0000078C, "import0");
  MakeDword(0x0000078C);
  OpOff(0x0000078C, 0, 0);
  MakeName(0x00000804, "import0_name");
  MakeStr(0x00000804, BADADDR);
  MakeName(0x00000790, "import0_flags");
  MakeDword(0x00000790);
  MakeName(0x00000794, "import0_counts");
  MakeDword(0x00000794);
  MakeName(0x00000798, "import0_nids");
  MakeDword(0x00000798);
  OpOff(0x00000798, 0, 0);
  MakeName(0x0000079C, "import0_funcs");
  MakeDword(0x0000079C);
  OpOff(0x0000079C, 0, 0);
  MakeName(0x000008D4, "import0_sceKernelCreateSema");
  MakeDword(0x000008D4);
  MakeName(0x0000070C, "sceKernelCreateSema");
  MakeFunction(0x0000070C, BADADDR);
  MakeName(0x000008D8, "import0_sceKernelDeleteSema");
  MakeDword(0x000008D8);
  MakeName(0x00000714, "sceKernelDeleteSema");
  MakeFunction(0x00000714, BADADDR);
  MakeName(0x000008DC, "import0_sceKernelSignalSema");
  MakeDword(0x000008DC);
  MakeName(0x0000071C, "sceKernelSignalSema");
  MakeFunction(0x0000071C, BADADDR);
  MakeName(0x000008E0, "import0_sceKernelWaitSema");
  MakeDword(0x000008E0);
  MakeName(0x00000724, "sceKernelWaitSema");
  MakeFunction(0x00000724, BADADDR);
  MakeName(0x000008E4, "import0_sceKernelPollSema");
  MakeDword(0x000008E4);
  MakeName(0x0000072C, "sceKernelPollSema");
  MakeFunction(0x0000072C, BADADDR);
  MakeName(0x000007A0, "import1");
  MakeDword(0x000007A0);
  OpOff(0x000007A0, 0, 0);
  MakeName(0x0000081C, "import1_name");
  MakeStr(0x0000081C, BADADDR);
  MakeName(0x000007A4, "import1_flags");
  MakeDword(0x000007A4);
  MakeName(0x000007A8, "import1_counts");
  MakeDword(0x000007A8);
  MakeName(0x000007AC, "import1_nids");
  MakeDword(0x000007AC);
  OpOff(0x000007AC, 0, 0);
  MakeName(0x000007B0, "import1_funcs");
  MakeDword(0x000007B0);
  OpOff(0x000007B0, 0, 0);
  MakeName(0x000008F4, "import1_sceKernelRegisterSysEventHandler");
  MakeDword(0x000008F4);
  MakeName(0x0000074C, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x0000074C, BADADDR);
  MakeName(0x000008F8, "import1_sceKernelUnregisterSysEventHandler");
  MakeDword(0x000008F8);
  MakeName(0x00000754, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000754, BADADDR);
  MakeName(0x000007B4, "import2");
  MakeDword(0x000007B4);
  OpOff(0x000007B4, 0, 0);
  MakeName(0x00000838, "import2_name");
  MakeStr(0x00000838, BADADDR);
  MakeName(0x000007B8, "import2_flags");
  MakeDword(0x000007B8);
  MakeName(0x000007BC, "import2_counts");
  MakeDword(0x000007BC);
  MakeName(0x000007C0, "import2_nids");
  MakeDword(0x000007C0);
  OpOff(0x000007C0, 0, 0);
  MakeName(0x000007C4, "import2_funcs");
  MakeDword(0x000007C4);
  OpOff(0x000007C4, 0, 0);
  MakeName(0x000008E8, "import2_sceI2cSetClock");
  MakeDword(0x000008E8);
  MakeName(0x00000734, "sceI2cSetClock");
  MakeFunction(0x00000734, BADADDR);
  MakeName(0x000008EC, "import2_sceI2cMasterTransmit");
  MakeDword(0x000008EC);
  MakeName(0x0000073C, "sceI2cMasterTransmit");
  MakeFunction(0x0000073C, BADADDR);
  MakeName(0x000008F0, "import2_sceI2cMasterTransmitReceive");
  MakeDword(0x000008F0);
  MakeName(0x00000744, "sceI2cMasterTransmitReceive");
  MakeFunction(0x00000744, BADADDR);
}

static createExports() {
  MakeName(0x00000764, "export_0");
  MakeDword(0x00000764);
  MakeName(0x00000768, "export_0_flags");
  MakeDword(0x00000768);
  MakeName(0x0000076C, "export_0_counts");
  MakeDword(0x0000076C);
  MakeName(0x00000770, "export_0_exports");
  MakeDword(0x00000770);
  OpOff(0x00000770, 0, 0);
  MakeName(0x00000848, "export_0_module_start");
  MakeDword(0x00000848);
  MakeName(0x00000854, "");
  MakeDword(0x00000854);
  OpOff(0x00000854, 0, 0);
  MakeName(0x0000029C, "module_start");
  MakeFunction(0x0000029C, BADADDR);
  MakeName(0x0000084C, "export_0_module_reboot_before");
  MakeDword(0x0000084C);
  MakeName(0x00000858, "");
  MakeDword(0x00000858);
  OpOff(0x00000858, 0, 0);
  MakeName(0x0000030C, "module_reboot_before");
  MakeFunction(0x0000030C, BADADDR);
  MakeName(0x00000850, "export_0_module_info");
  MakeDword(0x00000850);
  MakeName(0x0000085C, "");
  MakeDword(0x0000085C);
  OpOff(0x0000085C, 0, 0);
  MakeName(0x00000774, "export_1");
  MakeDword(0x00000774);
  OpOff(0x00000774, 0, 0);
  MakeName(0x00000860, "export_1_name");
  MakeStr(0x00000860, BADADDR);
  MakeName(0x00000778, "export_1_flags");
  MakeDword(0x00000778);
  MakeName(0x0000077C, "export_1_counts");
  MakeDword(0x0000077C);
  MakeName(0x00000780, "export_1_exports");
  MakeDword(0x00000780);
  OpOff(0x00000780, 0, 0);
  MakeName(0x00000874, "export_1_sceClockgenInit");
  MakeDword(0x00000874);
  MakeName(0x000008A4, "");
  MakeDword(0x000008A4);
  OpOff(0x000008A4, 0, 0);
  MakeName(0x00000358, "sceClockgenInit");
  MakeFunction(0x00000358, BADADDR);
  MakeName(0x00000878, "export_1_sceClockgenEnd");
  MakeDword(0x00000878);
  MakeName(0x000008A8, "");
  MakeDword(0x000008A8);
  OpOff(0x000008A8, 0, 0);
  MakeName(0x000003B0, "sceClockgenEnd");
  MakeFunction(0x000003B0, BADADDR);
  MakeName(0x0000087C, "export_1_sceClockgen_driver_C6D4C843");
  MakeDword(0x0000087C);
  MakeName(0x000008AC, "");
  MakeDword(0x000008AC);
  OpOff(0x000008AC, 0, 0);
  MakeName(0x000003FC, "sceClockgen_driver_C6D4C843");
  MakeFunction(0x000003FC, BADADDR);
  MakeName(0x00000880, "export_1_sceClockgenSetup");
  MakeDword(0x00000880);
  MakeName(0x000008B0, "");
  MakeDword(0x000008B0);
  OpOff(0x000008B0, 0, 0);
  MakeName(0x00000000, "sceClockgenSetup");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000884, "export_1_sceClockgenGetRevision");
  MakeDword(0x00000884);
  MakeName(0x000008B4, "");
  MakeDword(0x000008B4);
  OpOff(0x000008B4, 0, 0);
  MakeName(0x00000470, "sceClockgenGetRevision");
  MakeFunction(0x00000470, BADADDR);
  MakeName(0x00000888, "export_1_sceClockgenGetRegValue");
  MakeDword(0x00000888);
  MakeName(0x000008B8, "");
  MakeDword(0x000008B8);
  OpOff(0x000008B8, 0, 0);
  MakeName(0x00000484, "sceClockgenGetRegValue");
  MakeFunction(0x00000484, BADADDR);
  MakeName(0x0000088C, "export_1_sceClockgenAudioClkSetFreq");
  MakeDword(0x0000088C);
  MakeName(0x000008BC, "");
  MakeDword(0x000008BC);
  OpOff(0x000008BC, 0, 0);
  MakeName(0x000004B0, "sceClockgenAudioClkSetFreq");
  MakeFunction(0x000004B0, BADADDR);
  MakeName(0x00000890, "export_1_sceClockgenAudioClkEnable");
  MakeDword(0x00000890);
  MakeName(0x000008C0, "");
  MakeDword(0x000008C0);
  OpOff(0x000008C0, 0, 0);
  MakeName(0x000004F0, "sceClockgenAudioClkEnable");
  MakeFunction(0x000004F0, BADADDR);
  MakeName(0x00000894, "export_1_sceClockgenAudioClkDisable");
  MakeDword(0x00000894);
  MakeName(0x000008C4, "");
  MakeDword(0x000008C4);
  OpOff(0x000008C4, 0, 0);
  MakeName(0x00000510, "sceClockgenAudioClkDisable");
  MakeFunction(0x00000510, BADADDR);
  MakeName(0x00000898, "export_1_sceClockgenLeptonClkEnable");
  MakeDword(0x00000898);
  MakeName(0x000008C8, "");
  MakeDword(0x000008C8);
  OpOff(0x000008C8, 0, 0);
  MakeName(0x00000530, "sceClockgenLeptonClkEnable");
  MakeFunction(0x00000530, BADADDR);
  MakeName(0x0000089C, "export_1_sceClockgenLeptonClkDisable");
  MakeDword(0x0000089C);
  MakeName(0x000008CC, "");
  MakeDword(0x000008CC);
  OpOff(0x000008CC, 0, 0);
  MakeName(0x00000550, "sceClockgenLeptonClkDisable");
  MakeFunction(0x00000550, BADADDR);
  MakeName(0x000008A0, "export_1_sceClockgen_driver_C9AF3102");
  MakeDword(0x000008A0);
  MakeName(0x000008D0, "");
  MakeDword(0x000008D0);
  OpOff(0x000008D0, 0, 0);
  MakeName(0x000000F8, "sceClockgen_driver_C9AF3102");
  MakeFunction(0x000000F8, BADADDR);
}

static createRelocs() {
}

