#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00002CBC, "_module_flags");
  MakeDword(0x00002CBC);
  MakeName(0x00002CC0, "_module_name");
  MakeStr(0x00002CC0, BADADDR);
  MakeName(0x00002CDC, "_module_gp");
  MakeDword(0x00002CDC);
  MakeName(0x00002CE0, "_module_exports");
  MakeDword(0x00002CE0);
  OpOff(0x00002CE0, 0, 0);
  MakeName(0x00002CE4, "_module_exp_end");
  MakeDword(0x00002CE4);
  OpOff(0x00002CE4, 0, 0);
  MakeName(0x00002CE8, "_module_imports");
  MakeDword(0x00002CE8);
  OpOff(0x00002CE8, 0, 0);
  MakeName(0x00002CEC, "_module_imp_end");
  MakeDword(0x00002CEC);
  OpOff(0x00002CEC, 0, 0);
}

static createImports() {
  MakeName(0x00002C7C, "import0");
  MakeDword(0x00002C7C);
  OpOff(0x00002C7C, 0, 0);
  MakeName(0x00002CF4, "import0_name");
  MakeStr(0x00002CF4, BADADDR);
  MakeName(0x00002C80, "import0_flags");
  MakeDword(0x00002C80);
  MakeName(0x00002C84, "import0_counts");
  MakeDword(0x00002C84);
  MakeName(0x00002C88, "import0_nids");
  MakeDword(0x00002C88);
  OpOff(0x00002C88, 0, 0);
  MakeName(0x00002C8C, "import0_funcs");
  MakeDword(0x00002C8C);
  OpOff(0x00002C8C, 0, 0);
  MakeName(0x00002DC8, "import0_sceKernelCreateSema");
  MakeDword(0x00002DC8);
  MakeName(0x00002C14, "sceKernelCreateSema");
  MakeFunction(0x00002C14, BADADDR);
  MakeName(0x00002DCC, "import0_sceKernelDeleteSema");
  MakeDword(0x00002DCC);
  MakeName(0x00002C1C, "sceKernelDeleteSema");
  MakeFunction(0x00002C1C, BADADDR);
  MakeName(0x00002DD0, "import0_sceKernelSignalSema");
  MakeDword(0x00002DD0);
  MakeName(0x00002C24, "sceKernelSignalSema");
  MakeFunction(0x00002C24, BADADDR);
  MakeName(0x00002DD4, "import0_sceKernelWaitSema");
  MakeDword(0x00002DD4);
  MakeName(0x00002C2C, "sceKernelWaitSema");
  MakeFunction(0x00002C2C, BADADDR);
  MakeName(0x00002C90, "import1");
  MakeDword(0x00002C90);
  OpOff(0x00002C90, 0, 0);
  MakeName(0x00002D0C, "import1_name");
  MakeStr(0x00002D0C, BADADDR);
  MakeName(0x00002C94, "import1_flags");
  MakeDword(0x00002C94);
  MakeName(0x00002C98, "import1_counts");
  MakeDword(0x00002C98);
  MakeName(0x00002C9C, "import1_nids");
  MakeDword(0x00002C9C);
  OpOff(0x00002C9C, 0, 0);
  MakeName(0x00002CA0, "import1_funcs");
  MakeDword(0x00002CA0);
  OpOff(0x00002CA0, 0, 0);
  MakeName(0x00002DD8, "import1_sceIdStorageLookup");
  MakeDword(0x00002DD8);
  MakeName(0x00002C34, "sceIdStorageLookup");
  MakeFunction(0x00002C34, BADADDR);
  MakeName(0x00002CA4, "import2");
  MakeDword(0x00002CA4);
  OpOff(0x00002CA4, 0, 0);
  MakeName(0x00002D24, "import2_name");
  MakeStr(0x00002D24, BADADDR);
  MakeName(0x00002CA8, "import2_flags");
  MakeDword(0x00002CA8);
  MakeName(0x00002CAC, "import2_counts");
  MakeDword(0x00002CAC);
  MakeName(0x00002CB0, "import2_nids");
  MakeDword(0x00002CB0);
  OpOff(0x00002CB0, 0, 0);
  MakeName(0x00002CB4, "import2_funcs");
  MakeDword(0x00002CB4);
  OpOff(0x00002CB4, 0, 0);
  MakeName(0x00002DDC, "import2_sceUtilsBufferCopyWithRange");
  MakeDword(0x00002DDC);
  MakeName(0x00002C3C, "sceUtilsBufferCopyWithRange");
  MakeFunction(0x00002C3C, BADADDR);
}

static createExports() {
  MakeName(0x00002C54, "export_0");
  MakeDword(0x00002C54);
  MakeName(0x00002C58, "export_0_flags");
  MakeDword(0x00002C58);
  MakeName(0x00002C5C, "export_0_counts");
  MakeDword(0x00002C5C);
  MakeName(0x00002C60, "export_0_exports");
  MakeDword(0x00002C60);
  OpOff(0x00002C60, 0, 0);
  MakeName(0x00002D30, "export_0_module_start");
  MakeDword(0x00002D30);
  MakeName(0x00002D3C, "");
  MakeDword(0x00002D3C);
  OpOff(0x00002D3C, 0, 0);
  MakeName(0x00000A44, "module_start");
  MakeFunction(0x00000A44, BADADDR);
  MakeName(0x00002D34, "export_0_module_stop");
  MakeDword(0x00002D34);
  MakeName(0x00002D40, "");
  MakeDword(0x00002D40);
  OpOff(0x00002D40, 0, 0);
  MakeName(0x00000AD0, "module_stop");
  MakeFunction(0x00000AD0, BADADDR);
  MakeName(0x00002D38, "export_0_module_info");
  MakeDword(0x00002D38);
  MakeName(0x00002D44, "");
  MakeDword(0x00002D44);
  OpOff(0x00002D44, 0, 0);
  MakeName(0x00002C64, "export_1");
  MakeDword(0x00002C64);
  OpOff(0x00002C64, 0, 0);
  MakeName(0x00002D48, "export_1_name");
  MakeStr(0x00002D48, BADADDR);
  MakeName(0x00002C68, "export_1_flags");
  MakeDword(0x00002C68);
  MakeName(0x00002C6C, "export_1_counts");
  MakeDword(0x00002C6C);
  MakeName(0x00002C70, "export_1_exports");
  MakeDword(0x00002C70);
  OpOff(0x00002C70, 0, 0);
  MakeName(0x00002D58, "export_1_sceAdhocBBInit");
  MakeDword(0x00002D58);
  MakeName(0x00002D90, "");
  MakeDword(0x00002D90);
  OpOff(0x00002D90, 0, 0);
  MakeName(0x00000B54, "sceAdhocBBInit");
  MakeFunction(0x00000B54, BADADDR);
  MakeName(0x00002D5C, "export_1_sceAdhocBBShutdown");
  MakeDword(0x00002D5C);
  MakeName(0x00002D94, "");
  MakeDword(0x00002D94);
  OpOff(0x00002D94, 0, 0);
  MakeName(0x00000C0C, "sceAdhocBBShutdown");
  MakeFunction(0x00000C0C, BADADDR);
  MakeName(0x00002D60, "export_1_sceAdhocBBAuth1");
  MakeDword(0x00002D60);
  MakeName(0x00002D98, "");
  MakeDword(0x00002D98);
  OpOff(0x00002D98, 0, 0);
  MakeName(0x00000CB4, "sceAdhocBBAuth1");
  MakeFunction(0x00000CB4, BADADDR);
  MakeName(0x00002D64, "export_1_sceAdhocBBAuth2");
  MakeDword(0x00002D64);
  MakeName(0x00002D9C, "");
  MakeDword(0x00002D9C);
  OpOff(0x00002D9C, 0, 0);
  MakeName(0x00000E20, "sceAdhocBBAuth2");
  MakeFunction(0x00000E20, BADADDR);
  MakeName(0x00002D68, "export_1_sceAdhocBBAuth3");
  MakeDword(0x00002D68);
  MakeName(0x00002DA0, "");
  MakeDword(0x00002DA0);
  OpOff(0x00002DA0, 0, 0);
  MakeName(0x0000124C, "sceAdhocBBAuth3");
  MakeFunction(0x0000124C, BADADDR);
  MakeName(0x00002D6C, "export_1_sceAdhocBBAuth4");
  MakeDword(0x00002D6C);
  MakeName(0x00002DA4, "");
  MakeDword(0x00002DA4);
  OpOff(0x00002DA4, 0, 0);
  MakeName(0x000018D4, "sceAdhocBBAuth4");
  MakeFunction(0x000018D4, BADADDR);
  MakeName(0x00002D70, "export_1_sceAdhocBBAuth5");
  MakeDword(0x00002D70);
  MakeName(0x00002DA8, "");
  MakeDword(0x00002DA8);
  OpOff(0x00002DA8, 0, 0);
  MakeName(0x00001D8C, "sceAdhocBBAuth5");
  MakeFunction(0x00001D8C, BADADDR);
  MakeName(0x00002D74, "export_1_sceMemab_driver_E6D3ACE2");
  MakeDword(0x00002D74);
  MakeName(0x00002DAC, "");
  MakeDword(0x00002DAC);
  OpOff(0x00002DAC, 0, 0);
  MakeName(0x00001F04, "sceMemab_driver_E6D3ACE2");
  MakeFunction(0x00001F04, BADADDR);
  MakeName(0x00002D78, "export_1_sceMemab_driver_B54E1AA7");
  MakeDword(0x00002D78);
  MakeName(0x00002DB0, "");
  MakeDword(0x00002DB0);
  OpOff(0x00002DB0, 0, 0);
  MakeName(0x00002120, "sceMemab_driver_B54E1AA7");
  MakeFunction(0x00002120, BADADDR);
  MakeName(0x00002D7C, "export_1_sceMemab_driver_F1D2B9B0");
  MakeDword(0x00002D7C);
  MakeName(0x00002DB4, "");
  MakeDword(0x00002DB4);
  OpOff(0x00002DB4, 0, 0);
  MakeName(0x00002404, "sceMemab_driver_F1D2B9B0");
  MakeFunction(0x00002404, BADADDR);
  MakeName(0x00002D80, "export_1_sceMemab_driver_4DF566D3");
  MakeDword(0x00002D80);
  MakeName(0x00002DB8, "");
  MakeDword(0x00002DB8);
  OpOff(0x00002DB8, 0, 0);
  MakeName(0x00002514, "sceMemab_driver_4DF566D3");
  MakeFunction(0x00002514, BADADDR);
  MakeName(0x00002D84, "export_1_sceAdhocBBGMEncrypt");
  MakeDword(0x00002D84);
  MakeName(0x00002DBC, "");
  MakeDword(0x00002DBC);
  OpOff(0x00002DBC, 0, 0);
  MakeName(0x000027F8, "sceAdhocBBGMEncrypt");
  MakeFunction(0x000027F8, BADADDR);
  MakeName(0x00002D88, "export_1_sceAdhocBBGMDecrypt");
  MakeDword(0x00002D88);
  MakeName(0x00002DC0, "");
  MakeDword(0x00002DC0);
  OpOff(0x00002DC0, 0, 0);
  MakeName(0x000029A4, "sceAdhocBBGMDecrypt");
  MakeFunction(0x000029A4, BADADDR);
  MakeName(0x00002D8C, "export_1_sceMemab_driver_531E144B");
  MakeDword(0x00002D8C);
  MakeName(0x00002DC4, "");
  MakeDword(0x00002DC4);
  OpOff(0x00002DC4, 0, 0);
  MakeName(0x00002B58, "sceMemab_driver_531E144B");
  MakeFunction(0x00002B58, BADADDR);
}

static createRelocs() {
}

