#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000A2C, "_module_flags");
  MakeDword(0x00000A2C);
  MakeName(0x00000A30, "_module_name");
  MakeStr(0x00000A30, BADADDR);
  MakeName(0x00000A4C, "_module_gp");
  MakeDword(0x00000A4C);
  MakeName(0x00000A50, "_module_exports");
  MakeDword(0x00000A50);
  OpOff(0x00000A50, 0, 0);
  MakeName(0x00000A54, "_module_exp_end");
  MakeDword(0x00000A54);
  OpOff(0x00000A54, 0, 0);
  MakeName(0x00000A58, "_module_imports");
  MakeDword(0x00000A58);
  OpOff(0x00000A58, 0, 0);
  MakeName(0x00000A5C, "_module_imp_end");
  MakeDword(0x00000A5C);
  OpOff(0x00000A5C, 0, 0);
}

static createImports() {
  MakeName(0x000009FC, "import0");
  MakeDword(0x000009FC);
  OpOff(0x000009FC, 0, 0);
  MakeName(0x00000A64, "import0_name");
  MakeStr(0x00000A64, BADADDR);
  MakeName(0x00000A00, "import0_flags");
  MakeDword(0x00000A00);
  MakeName(0x00000A04, "import0_counts");
  MakeDword(0x00000A04);
  MakeName(0x00000A08, "import0_nids");
  MakeDword(0x00000A08);
  OpOff(0x00000A08, 0, 0);
  MakeName(0x00000A0C, "import0_funcs");
  MakeDword(0x00000A0C);
  OpOff(0x00000A0C, 0, 0);
  MakeName(0x00000B0C, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x00000B0C);
  MakeName(0x0000097C, "sceKernelCpuSuspendIntr");
  MakeFunction(0x0000097C, BADADDR);
  MakeName(0x00000B10, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x00000B10);
  MakeName(0x00000984, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000984, BADADDR);
  MakeName(0x00000B14, "import0_sceKernelIsIntrContext");
  MakeDword(0x00000B14);
  MakeName(0x0000098C, "sceKernelIsIntrContext");
  MakeFunction(0x0000098C, BADADDR);
  MakeName(0x00000B18, "import0_sceKernelRegisterIntrHandler");
  MakeDword(0x00000B18);
  MakeName(0x00000994, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00000994, BADADDR);
  MakeName(0x00000B1C, "import0_sceKernelReleaseIntrHandler");
  MakeDword(0x00000B1C);
  MakeName(0x0000099C, "sceKernelReleaseIntrHandler");
  MakeFunction(0x0000099C, BADADDR);
  MakeName(0x00000B20, "import0_sceKernelEnableIntr");
  MakeDword(0x00000B20);
  MakeName(0x000009A4, "sceKernelEnableIntr");
  MakeFunction(0x000009A4, BADADDR);
  MakeName(0x00000B24, "import0_sceKernelDisableIntr");
  MakeDword(0x00000B24);
  MakeName(0x000009AC, "sceKernelDisableIntr");
  MakeFunction(0x000009AC, BADADDR);
  MakeName(0x00000A14, "import1");
  MakeDword(0x00000A14);
  OpOff(0x00000A14, 0, 0);
  MakeName(0x00000A84, "import1_name");
  MakeStr(0x00000A84, BADADDR);
  MakeName(0x00000A18, "import1_flags");
  MakeDword(0x00000A18);
  MakeName(0x00000A1C, "import1_counts");
  MakeDword(0x00000A1C);
  MakeName(0x00000A20, "import1_nids");
  MakeDword(0x00000A20);
  OpOff(0x00000A20, 0, 0);
  MakeName(0x00000A24, "import1_funcs");
  MakeDword(0x00000A24);
  OpOff(0x00000A24, 0, 0);
  MakeName(0x00000B28, "import1_sceKernelRegisterSuspendHandler");
  MakeDword(0x00000B28);
  MakeName(0x000009B4, "sceKernelRegisterSuspendHandler");
  MakeFunction(0x000009B4, BADADDR);
  MakeName(0x00000B2C, "import1_sceKernelRegisterResumeHandler");
  MakeDword(0x00000B2C);
  MakeName(0x000009BC, "sceKernelRegisterResumeHandler");
  MakeFunction(0x000009BC, BADADDR);
}

static createExports() {
  MakeName(0x000009D4, "export_0");
  MakeDword(0x000009D4);
  MakeName(0x000009D8, "export_0_flags");
  MakeDword(0x000009D8);
  MakeName(0x000009DC, "export_0_counts");
  MakeDword(0x000009DC);
  MakeName(0x000009E0, "export_0_exports");
  MakeDword(0x000009E0);
  OpOff(0x000009E0, 0, 0);
  MakeName(0x00000A98, "export_0_module_bootstart");
  MakeDword(0x00000A98);
  MakeName(0x00000AA4, "");
  MakeDword(0x00000AA4);
  OpOff(0x00000AA4, 0, 0);
  MakeName(0x000002F0, "module_bootstart");
  MakeFunction(0x000002F0, BADADDR);
  MakeName(0x00000A9C, "export_0_module_reboot_before");
  MakeDword(0x00000A9C);
  MakeName(0x00000AA8, "");
  MakeDword(0x00000AA8);
  OpOff(0x00000AA8, 0, 0);
  MakeName(0x000003D8, "module_reboot_before");
  MakeFunction(0x000003D8, BADADDR);
  MakeName(0x00000AA0, "export_0_module_info");
  MakeDword(0x00000AA0);
  MakeName(0x00000AAC, "");
  MakeDword(0x00000AAC);
  OpOff(0x00000AAC, 0, 0);
  MakeName(0x000009E4, "export_1");
  MakeDword(0x000009E4);
  OpOff(0x000009E4, 0, 0);
  MakeName(0x00000AB0, "export_1_name");
  MakeStr(0x00000AB0, BADADDR);
  MakeName(0x000009E8, "export_1_flags");
  MakeDword(0x000009E8);
  MakeName(0x000009EC, "export_1_counts");
  MakeDword(0x000009EC);
  MakeName(0x000009F0, "export_1_exports");
  MakeDword(0x000009F0);
  OpOff(0x000009F0, 0, 0);
  MakeName(0x00000AC4, "export_1_sceSTimerAlloc");
  MakeDword(0x00000AC4);
  MakeName(0x00000AE8, "");
  MakeDword(0x00000AE8);
  OpOff(0x00000AE8, 0, 0);
  MakeName(0x00000000, "sceSTimerAlloc");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000AC8, "export_1_sceSTimerFree");
  MakeDword(0x00000AC8);
  MakeName(0x00000AEC, "");
  MakeDword(0x00000AEC);
  OpOff(0x00000AEC, 0, 0);
  MakeName(0x00000444, "sceSTimerFree");
  MakeFunction(0x00000444, BADADDR);
  MakeName(0x00000ACC, "export_1_SysTimerForKernel_B53534B4");
  MakeDword(0x00000ACC);
  MakeName(0x00000AF0, "");
  MakeDword(0x00000AF0);
  OpOff(0x00000AF0, 0, 0);
  MakeName(0x00000500, "SysTimerForKernel_B53534B4");
  MakeFunction(0x00000500, BADADDR);
  MakeName(0x00000AD0, "export_1_sceSTimerSetHandler");
  MakeDword(0x00000AD0);
  MakeName(0x00000AF4, "");
  MakeDword(0x00000AF4);
  OpOff(0x00000AF4, 0, 0);
  MakeName(0x000001B0, "sceSTimerSetHandler");
  MakeFunction(0x000001B0, BADADDR);
  MakeName(0x00000AD4, "export_1_sceSTimerStartCount");
  MakeDword(0x00000AD4);
  MakeName(0x00000AF8, "");
  MakeDword(0x00000AF8);
  OpOff(0x00000AF8, 0, 0);
  MakeName(0x000005DC, "sceSTimerStartCount");
  MakeFunction(0x000005DC, BADADDR);
  MakeName(0x00000AD8, "export_1_sceSTimerStopCount");
  MakeDword(0x00000AD8);
  MakeName(0x00000AFC, "");
  MakeDword(0x00000AFC);
  OpOff(0x00000AFC, 0, 0);
  MakeName(0x0000066C, "sceSTimerStopCount");
  MakeFunction(0x0000066C, BADADDR);
  MakeName(0x00000ADC, "export_1_sceSTimerResetCount");
  MakeDword(0x00000ADC);
  MakeName(0x00000B00, "");
  MakeDword(0x00000B00);
  OpOff(0x00000B00, 0, 0);
  MakeName(0x000006D4, "sceSTimerResetCount");
  MakeFunction(0x000006D4, BADADDR);
  MakeName(0x00000AE0, "export_1_sceSTimerGetCount");
  MakeDword(0x00000AE0);
  MakeName(0x00000B04, "");
  MakeDword(0x00000B04);
  OpOff(0x00000B04, 0, 0);
  MakeName(0x00000740, "sceSTimerGetCount");
  MakeFunction(0x00000740, BADADDR);
  MakeName(0x00000AE4, "export_1_SysTimerForKernel_53231A15");
  MakeDword(0x00000AE4);
  MakeName(0x00000B08, "");
  MakeDword(0x00000B08);
  OpOff(0x00000B08, 0, 0);
  MakeName(0x000007B8, "SysTimerForKernel_53231A15");
  MakeFunction(0x000007B8, BADADDR);
}

static createRelocs() {
}

