#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000FB8, "_module_flags");
  MakeDword(0x00000FB8);
  MakeName(0x00000FBC, "_module_name");
  MakeStr(0x00000FBC, BADADDR);
  MakeName(0x00000FD8, "_module_gp");
  MakeDword(0x00000FD8);
  MakeName(0x00000FDC, "_module_exports");
  MakeDword(0x00000FDC);
  OpOff(0x00000FDC, 0, 0);
  MakeName(0x00000FE0, "_module_exp_end");
  MakeDword(0x00000FE0);
  OpOff(0x00000FE0, 0, 0);
  MakeName(0x00000FE4, "_module_imports");
  MakeDword(0x00000FE4);
  OpOff(0x00000FE4, 0, 0);
  MakeName(0x00000FE8, "_module_imp_end");
  MakeDword(0x00000FE8);
  OpOff(0x00000FE8, 0, 0);
}

static createImports() {
  MakeName(0x00000F8C, "import0");
  MakeDword(0x00000F8C);
  OpOff(0x00000F8C, 0, 0);
  MakeName(0x00000FF0, "import0_name");
  MakeStr(0x00000FF0, BADADDR);
  MakeName(0x00000F90, "import0_flags");
  MakeDword(0x00000F90);
  MakeName(0x00000F94, "import0_counts");
  MakeDword(0x00000F94);
  MakeName(0x00000F98, "import0_nids");
  MakeDword(0x00000F98);
  OpOff(0x00000F98, 0, 0);
  MakeName(0x00000F9C, "import0_funcs");
  MakeDword(0x00000F9C);
  OpOff(0x00000F9C, 0, 0);
  MakeName(0x00001070, "import0_sceKernelGetCompiledSdkVersion");
  MakeDword(0x00001070);
  MakeName(0x00000F3C, "sceKernelGetCompiledSdkVersion");
  MakeFunction(0x00000F3C, BADADDR);
  MakeName(0x00000FA0, "import1");
  MakeDword(0x00000FA0);
  OpOff(0x00000FA0, 0, 0);
  MakeName(0x00001004, "import1_name");
  MakeStr(0x00001004, BADADDR);
  MakeName(0x00000FA4, "import1_flags");
  MakeDword(0x00000FA4);
  MakeName(0x00000FA8, "import1_counts");
  MakeDword(0x00000FA8);
  MakeName(0x00000FAC, "import1_nids");
  MakeDword(0x00000FAC);
  OpOff(0x00000FAC, 0, 0);
  MakeName(0x00000FB0, "import1_funcs");
  MakeDword(0x00000FB0);
  OpOff(0x00000FB0, 0, 0);
  MakeName(0x00001060, "import1_sceIoClose");
  MakeDword(0x00001060);
  MakeName(0x00000F1C, "sceIoClose");
  MakeFunction(0x00000F1C, BADADDR);
  MakeName(0x00001064, "import1_sceIoOpen");
  MakeDword(0x00001064);
  MakeName(0x00000F24, "sceIoOpen");
  MakeFunction(0x00000F24, BADADDR);
  MakeName(0x00001068, "import1_sceIoRead");
  MakeDword(0x00001068);
  MakeName(0x00000F2C, "sceIoRead");
  MakeFunction(0x00000F2C, BADADDR);
  MakeName(0x0000106C, "import1_sceIoLseek");
  MakeDword(0x0000106C);
  MakeName(0x00000F34, "sceIoLseek");
  MakeFunction(0x00000F34, BADADDR);
}

static createExports() {
  MakeName(0x00000F54, "export_0");
  MakeDword(0x00000F54);
  MakeName(0x00000F58, "export_0_flags");
  MakeDword(0x00000F58);
  MakeName(0x00000F5C, "export_0_counts");
  MakeDword(0x00000F5C);
  MakeName(0x00000F60, "export_0_exports");
  MakeDword(0x00000F60);
  OpOff(0x00000F60, 0, 0);
  MakeName(0x00001018, "export_0_module_info");
  MakeDword(0x00001018);
  MakeName(0x0000101C, "");
  MakeDword(0x0000101C);
  OpOff(0x0000101C, 0, 0);
  MakeName(0x00000F64, "export_1");
  MakeDword(0x00000F64);
  OpOff(0x00000F64, 0, 0);
  MakeName(0x00001020, "export_1_name");
  MakeStr(0x00001020, BADADDR);
  MakeName(0x00000F68, "export_1_flags");
  MakeDword(0x00000F68);
  MakeName(0x00000F6C, "export_1_counts");
  MakeDword(0x00000F6C);
  MakeName(0x00000F70, "export_1_exports");
  MakeDword(0x00000F70);
  OpOff(0x00000F70, 0, 0);
  MakeName(0x00001038, "export_1_sceLoadCertInit");
  MakeDword(0x00001038);
  MakeName(0x00001040, "");
  MakeDword(0x00001040);
  OpOff(0x00001040, 0, 0);
  MakeName(0x00000DA8, "sceLoadCertInit");
  MakeFunction(0x00000DA8, BADADDR);
  MakeName(0x0000103C, "export_1_sceLoadCertEnd");
  MakeDword(0x0000103C);
  MakeName(0x00001044, "");
  MakeDword(0x00001044);
  OpOff(0x00001044, 0, 0);
  MakeName(0x00000DB0, "sceLoadCertEnd");
  MakeFunction(0x00000DB0, BADADDR);
  MakeName(0x00000F74, "export_2");
  MakeDword(0x00000F74);
  OpOff(0x00000F74, 0, 0);
  MakeName(0x00001048, "export_2_name");
  MakeStr(0x00001048, BADADDR);
  MakeName(0x00000F78, "export_2_flags");
  MakeDword(0x00000F78);
  MakeName(0x00000F7C, "export_2_counts");
  MakeDword(0x00000F7C);
  MakeName(0x00000F80, "export_2_exports");
  MakeDword(0x00000F80);
  OpOff(0x00000F80, 0, 0);
  MakeName(0x00001058, "export_2_sceLoadCertFromFlash");
  MakeDword(0x00001058);
  MakeName(0x0000105C, "");
  MakeDword(0x0000105C);
  OpOff(0x0000105C, 0, 0);
  MakeName(0x00000000, "sceLoadCertFromFlash");
  MakeFunction(0x00000000, BADADDR);
}

static createRelocs() {
}

